require 'erb'
require 'yaml'

module SgtnCldr

  module Core
    autoload :Cache,       "sgtn-cldr/core/cache"
  end
  
  class CacheUtil

      def self.get_cache(cache_key)
        items = SgtnCldr::Core::Cache.get(cache_key)
        return items
      end

      def self.write_cache(cache_key, items)
        env = SgtnCldr::Config.default_environment
        cache_expiry_period = SgtnCldr::Config.configurations[env]["cache_expiry_period"]
        # expired after 24 hours
        if cache_expiry_period == nil
            cache_expiry_period = 24*60
        end
        SgtnCldr::Core::Cache.put(cache_key, items, cache_expiry_period)
      end

      def self.get_cachekey(component, locale)
        env = SgtnCldr::Config.default_environment
        product_name = SgtnCldr::Config.configurations[env]["product_name"]
        version = SgtnCldr::Config.configurations[env]["version"].to_s
        return product_name + "_" + version + "_" + component + "_" + locale
      end
  end

end